# Uses of Class
org.eclipse.gef.tools.AbstractTool.Input

Packages that use AbstractTool.Input
Package
Description
org.eclipse.gef.tools
This package provides several tool implementations.

## Uses of AbstractTool.Input in org.eclipse.gef.tools

Methods in org.eclipse.gef.tools that return AbstractTool.Input
Modifier and Type
Method
Description
`protected AbstractTool.Input`
AbstractTool.`getCurrentInput()`
Returns the input object encapsulating the current mouse and keyboard state.